[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSGetUpdateException

Transform exception to UpdateError

## Declaration

Source position: db.pas line 1334

`function IProviderSupport.PSGetUpdateException(`
`E: Exception;`
`Prev: EUpdateError`
`):EUpdateError;`

## Arguments

`E` |  | The originally raised excepion
`Prev` |  | The previous exception in the applyupdates batch (can be nil).

## Function result

The new EUpdateErrorexception

## Description

PSGetUpdateException is called to transform and chain exceptions that occur during an ApplyUpdates operation. The exception E must be transformed to an EUpdateError exception. The previous EUpdateError exception in the update batch is passed in Prev.

## See also

EUpdateError |  | Error raised when updating data during a post operation.

Documentation generated on: Feb 26 2014